Skip to main content
PUT
/
crm
/
lists
/
2026-03
/
{listId}
/
update-list-name
Update List Name
curl --request PUT \
  --url https://api.hubapi.com/crm/lists/2026-03/{listId}/update-list-name \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/crm/lists/2026-03/{listId}/update-list-name"

headers = {"Authorization": "Bearer <token>"}

response = requests.put(url, headers=headers)

print(response.text)
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/crm/lists/2026-03/{listId}/update-list-name', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "updatedList": {
    "listId": "<string>",
    "listVersion": 123,
    "name": "<string>",
    "objectTypeId": "<string>",
    "processingStatus": "<string>",
    "processingType": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "createdById": "<string>",
    "deletedAt": "2023-11-07T05:31:56Z",
    "filterBranch": {
      "filterBranchOperator": "<string>",
      "filterBranchType": "OR",
      "filterBranches": [
        {
          "filterBranchOperator": "<string>",
          "filterBranchType": "AND",
          "filterBranches": "<array>",
          "filters": [
            {
              "filterType": "PROPERTY",
              "operation": {
                "includeObjectsWithNoValueSet": true,
                "operationType": "BOOL",
                "operator": "<string>",
                "value": true
              },
              "property": "<string>"
            }
          ]
        }
      ],
      "filters": [
        {
          "filterType": "PROPERTY",
          "operation": {
            "includeObjectsWithNoValueSet": true,
            "operationType": "BOOL",
            "operator": "<string>",
            "value": true
          },
          "property": "<string>"
        }
      ]
    },
    "filtersUpdatedAt": "2023-11-07T05:31:56Z",
    "listPermissions": {
      "teamsWithEditAccess": [
        123
      ],
      "usersWithEditAccess": [
        123
      ]
    },
    "membershipSettings": {
      "includeUnassigned": true,
      "membershipTeamId": 123
    },
    "size": 123,
    "updatedAt": "2023-11-07T05:31:56Z",
    "updatedById": "<string>"
  }
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

listId
string
required

The ILS ID of the list to update.

Query Parameters

includeFilters
boolean
default:false

A flag indicating whether or not the response object list definition should include a filter branch definition. By default, object list definitions will not have their filter branch definitions included in the response.

listName
string

The name to update the list to.

Response

successful operation

updatedList
object
Last modified on May 12, 2026